Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038183
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Modules] Advance Warehouse Operationsmajoralways2018-03-21 09:212018-04-18 21:23
ReporterdmiguelezView Statuspublic 
Assigned Toalekosmp86 
PriorityhighResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision065d5bc9e097
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0038183: Front End should not show Orders for Organizations not using AWO

DescriptionWhen creating a Task for an Order (Receipt, Pick or Issue), orders for Organizations not using AWO should not be shown. Tasks will not be generated anyway.
Steps To ReproduceWhen creating a Task for an Order (Receipt, Pick or Issue), orders for Organizations not using AWO should not be shown. Tasks will not be generated anyway.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103907)
hgbot (developer)
2018-04-16 16:43

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 259defd8097d2b7800b8c3acaca1777bf863b4fb
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Apr 16 10:03:03 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/259defd8097d2b7800b8c3acaca1777bf863b4fb [^]

Fixes issue 38183: Front End now show only Orders for Organizations using AWO

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_PurchaseOrder_Receipt.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_SalesOrder_Issue.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_SalesOrder_Pick.java
---
(0103909)
hgbot (developer)
2018-04-16 16:44

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: fbe2ae5afdeaf9294da5cc6b51d6a0c113ba7407
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Apr 16 10:27:11 2018 -0400
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/fbe2ae5afdeaf9294da5cc6b51d6a0c113ba7407 [^]

Fixes issue 38183: Front End now show only Orders for Organizations using AWO

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_PurchaseOrder_Receipt.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_SalesOrder_Issue.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_SalesOrder_Pick.java
---
(0103910)
hgbot (developer)
2018-04-16 16:46

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 065d5bc9e097e8a4b7b4060aefb0f354c8a97050
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Apr 16 10:45:34 2018 -0400
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/065d5bc9e097e8a4b7b4060aefb0f354c8a97050 [^]

Fixes issue 38183: Front End now show only Orders for Organizations using AWO

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_PurchaseOrder_Receipt.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_SalesOrder_Issue.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/taskgenerationcandidates/TGC_SalesOrder_Pick.java
---
(0103916)
hgbot (developer)
2018-04-16 21:24

Repository: retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 133d751c4ecdbf13f38ce7b80081dd546f8a2f2b
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Apr 16 15:20:23 2018 -0400
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/133d751c4ecdbf13f38ce7b80081dd546f8a2f2b [^]

Related to issue 38183: FrontEnd show only orders from Organizations using AWO

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOI_Issue.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOI_Pick.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOR_Receipt.java
---
(0103917)
hgbot (developer)
2018-04-16 21:58

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 5ec9b00fa33c1f55a6c40b6a89459ac74c3dcaa5
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Apr 16 15:20:23 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/5ec9b00fa33c1f55a6c40b6a89459ac74c3dcaa5 [^]

Related to issue 38183: FrontEnd show only orders from Organizations using AWO

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOI_Issue.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOI_Pick.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOR_Receipt.java
---
(0103918)
hgbot (developer)
2018-04-16 22:00

Repository: retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 133d751c4ecdbf13f38ce7b80081dd546f8a2f2b
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Apr 16 15:20:23 2018 -0400
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/133d751c4ecdbf13f38ce7b80081dd546f8a2f2b [^]

Related to issue 38183: FrontEnd show only orders from Organizations using AWO

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOI_Issue.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOI_Pick.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/feHooks/TGC_DOR_Receipt.java
---
(0103988)
hgbot (developer)
2018-04-18 21:23

Repository: tools/automation/pi-mobile
Changeset: 7f0ce6cd2728906a13f71a5bccb9c99bf3aa63a7
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Tue Apr 17 13:16:48 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/7f0ce6cd2728906a13f71a5bccb9c99bf3aa63a7 [^]

Related to issue 38183: Added automated tests

---
M src-test/org/openbravo/test/mobile/awo/utilities/AWOTerminalHelper.java
M src-test/org/openbravo/test/mobile/awo/utilities/TestIdAwo.java
A src-test/org/openbravo/test/mobile/awo/tests/Issue/AWO_IssueSalesOrderShowOnlyForAwoOrgs.java
A src-test/org/openbravo/test/mobile/awo/tests/Picking/AWO_PickingSalesOrderShowOnlyForAwoOrgs.java
A src-test/org/openbravo/test/mobile/awo/tests/Receipt/AWO_ReceiptPurchaseOrderShowOnlyForAwoOrgs.java
---

- Issue History
Date Modified Username Field Change
2018-03-21 09:21 dmiguelez New Issue
2018-03-21 09:21 dmiguelez Assigned To => dmiguelez
2018-04-12 22:00 alekosmp86 Assigned To dmiguelez => alekosmp86
2018-04-12 22:00 alekosmp86 Status new => scheduled
2018-04-16 16:43 hgbot Checkin
2018-04-16 16:43 hgbot Note Added: 0103907
2018-04-16 16:43 hgbot Status scheduled => resolved
2018-04-16 16:43 hgbot Resolution open => fixed
2018-04-16 16:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/259defd8097d2b7800b8c3acaca1777bf863b4fb [^]
2018-04-16 16:44 hgbot Checkin
2018-04-16 16:44 hgbot Note Added: 0103909
2018-04-16 16:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/259defd8097d2b7800b8c3acaca1777bf863b4fb [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/fbe2ae5afdeaf9294da5cc6b51d6a0c113ba7407 [^]
2018-04-16 16:46 hgbot Checkin
2018-04-16 16:46 hgbot Note Added: 0103910
2018-04-16 16:46 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/AWO/3.0RR17Q4/org.openbravo.warehouse.advancedwarehouseoperations/rev/fbe2ae5afdeaf9294da5cc6b51d6a0c113ba7407 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q1/org.openbravo.warehouse.advancedwarehouseoperations/rev/065d5bc9e097e8a4b7b4060aefb0f354c8a97050 [^]
2018-04-16 21:24 hgbot Checkin
2018-04-16 21:24 hgbot Note Added: 0103916
2018-04-16 21:58 hgbot Checkin
2018-04-16 21:58 hgbot Note Added: 0103917
2018-04-16 22:00 hgbot Checkin
2018-04-16 22:00 hgbot Note Added: 0103918
2018-04-18 21:23 hgbot Checkin
2018-04-18 21:23 hgbot Note Added: 0103988


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker